import { IJsonRpcClient } from "../jsonrpc/ijsonrpc";
import { IBtcBlockchainInfo, IBtcBlockInfo, IBtcFee, IBtcMemoryInfo, IBtcMemPoolInfo, IBtcTrxOut, IBtcTxInfo, IBtcVerboseMemPool } from "./type";
export declare class BitcoinClient {
    client: IJsonRpcClient;
    constructor(client?: IJsonRpcClient);
    getBlockchainInfo(): Promise<import("..").IMessage<IBtcBlockchainInfo>>;
    getMemoryInfo(): Promise<import("..").IMessage<IBtcMemoryInfo>>;
    getMemPoolInfo(): Promise<import("..").IMessage<IBtcMemPoolInfo>>;
    getBestBlockHash(): Promise<import("..").IMessage<string>>;
    getBlockCount(): Promise<import("..").IMessage<number>>;
    getBlockHash(height: number): Promise<import("..").IMessage<string>>;
    getBlock(hash: string): Promise<import("..").IMessage<IBtcBlockInfo>>;
    getRawTrx<T extends boolean>(txid: string, verbose?: T): Promise<import("..").IMessage<T extends true ? IBtcTxInfo : string>>;
    sendRawTx(rawTrx: string, highFee?: boolean): Promise<import("..").IMessage<string>>;
    getMemPool<T>(verbose?: T): Promise<import("..").IMessage<T extends true ? IBtcVerboseMemPool[] : string[]>>;
    estimateFee(target?: number, mode?: "ECONOMICAL" | "CONSERVATIVE"): Promise<import("..").IMessage<IBtcFee>>;
    decodeRawTrx(rawTrx: string, isWitness?: boolean): Promise<import("..").IMessage<IBtcTxInfo>>;
    getTxOut(txid: string, n: number, includeMempool?: boolean): Promise<import("..").IMessage<IBtcTrxOut>>;
}
