import { IJsonRpcResponse } from "../jsonrpc/imsg";
import { GethClient } from "./geth";
import { BlockParam } from "./types";
export declare function decodeAbiString(raw: string): string;
export declare function decodeAbiNumber(raw: string): bigint;
export declare class ERC20Client {
    static readonly FuncSig: {
        DECIMALS: string;
        NAME: string;
        SYMBOL: string;
        allowance: string;
        approve: string;
        balanceOf: string;
        decimals: string;
        name: string;
        symbol: string;
        totalSupply: string;
        transfer: string;
        transferFrom: string;
    };
    static readonly EventSig: {
        Approve: string;
        Transfer: string;
    };
    private rpc;
    constructor(rpc?: GethClient);
    balanceOf(token: string, address: string, status?: BlockParam): Promise<bigint>;
    name(token: string, isStandard?: boolean): Promise<string>;
    symbol(token: string, isStandard?: boolean): Promise<string>;
    decimals(token: string, isStandard?: boolean): Promise<bigint>;
    totalSupply(token: string): Promise<bigint>;
    protected getResult<T>(body: IJsonRpcResponse<T>): T;
}
