import { IJsonRpcClient } from "../jsonrpc/ijsonrpc";
import { BlockParam, IEthBlockSimple, IEthBlockVerbose, IEthCallFuncParam, IEthCallStateOverride, IEthTrx, IEthTrxReceipt, IEthTxPoolContent, IEthTxPoolInspect, IEthTxPoolStatus, ISyncingStatus } from "./types";
export declare class GethClient {
    static Hexify(status: BlockParam): string;
    client: IJsonRpcClient;
    NODE_VERSION: string;
    constructor(client?: IJsonRpcClient);
    getNodeVersion(): Promise<import("..").IMessage<string>>;
    getNetworkVersion(): Promise<import("..").IMessage<string>>;
    getPeerCount(): Promise<import("..").IMessage<string>>;
    getChainId(): Promise<import("..").IMessage<string>>;
    getProtocalVersion(): Promise<import("..").IMessage<string>>;
    getBalance(address: string, status?: BlockParam): Promise<import("..").IMessage<string>>;
    getTrxCount(address: string, status?: BlockParam): Promise<import("..").IMessage<string>>;
    getBlockNumber(): Promise<import("..").IMessage<string>>;
    getBlock<T extends boolean>(height: number, verbose?: T): Promise<import("..").IMessage<T extends true ? IEthBlockVerbose : IEthBlockSimple>>;
    getTrx(hash: string): Promise<import("..").IMessage<IEthTrx>>;
    getTrxReceipt(hash: string): Promise<import("..").IMessage<IEthTrxReceipt>>;
    getCode(address: string, status?: BlockParam): Promise<import("..").IMessage<string>>;
    sendRawTrx(data: string): Promise<import("..").IMessage<string>>;
    callContract(data: IEthCallFuncParam, status?: BlockParam, state?: IEthCallStateOverride): Promise<import("..").IMessage<string>>;
    estimateGas(data: IEthCallFuncParam, status?: BlockParam): Promise<import("..").IMessage<string>>;
    syncingStatus(): Promise<import("..").IMessage<boolean | ISyncingStatus>>;
    gasPrice(): Promise<import("..").IMessage<string>>;
    txpoolContent(): Promise<import("..").IMessage<IEthTxPoolContent>>;
    txpoolInspect(): Promise<import("..").IMessage<IEthTxPoolInspect>>;
    txpoolStatus(): Promise<import("..").IMessage<IEthTxPoolStatus>>;
    fillTrx(rawTrx: IEthCallFuncParam): Promise<import("..").IMessage<{
        raw: string;
        tx: IEthCallFuncParam;
    }>>;
}
