"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reqdata_1 = require("../jsonrpc/reqdata");
const geth_1 = require("./geth");
class ParityClient extends geth_1.GethClient {
    constructor(client) {
        super(client);
        this.NODE_VERSION = "parity";
    }
    traceTrx(hash) {
        const reqData = new reqdata_1.ReqData("", "trace_transaction", hash);
        return this.client.Call(reqData.getData());
    }
    traceBlock(height) {
        const param = geth_1.GethClient.Hexify(height);
        const reqdata = new reqdata_1.ReqData("", "trace_block", param);
        return this.client.Call(reqdata.getData());
    }
    nextNonce(address) {
        const reqData = new reqdata_1.ReqData("", "parity_nextNonce", address);
        return this.client.Call(reqData.getData());
    }
    removeTrx(txid) {
        const reqData = new reqdata_1.ReqData("", "parity_removeTransaction", txid);
        return this.client.Call(reqData.getData());
    }
}
exports.ParityClient = ParityClient;
