/// <reference types="node" />
import http = require("http");
import https = require("https");
import { IJsonRpcClient } from "./ijsonrpc";
import { IClientConfig, IMessage } from "./imsg";
export declare class HttpClient implements IJsonRpcClient {
    url: string;
    options: http.RequestOptions;
    httpAgent: http.Agent | https.Agent;
    httpModule: typeof http | typeof https;
    constructor(config: IClientConfig);
    setAuth(username: string, password: string): void;
    setUrl(url: string): void;
    Call<T>(data: Buffer): Promise<IMessage<T>>;
    Close(): void;
}
