"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ReqData {
    constructor(id, method, ...params) {
        this.id = id;
        this.method = method;
        this.params = [];
        for (const item of params) {
            if (item !== undefined) {
                this.params.push(item);
            }
        }
    }
    getData() {
        const data = {
            id: this.id,
            jsonrpc: "2.0",
            method: this.method,
            params: this.params,
        };
        return Buffer.from(JSON.stringify(data));
    }
}
exports.ReqData = ReqData;
