import { BitcoinClient } from "../btc/client";
import { IBtcTxInfo } from "../btc/type";
import { IJsonRpcClient } from "../jsonrpc/ijsonrpc";
import { IOmniClientInfo, IOmniPropertyBalance, IOmniPropertyInfo, IOmniTxInfo } from "./type";
export declare class OmniClient extends BitcoinClient {
    constructor(client?: IJsonRpcClient);
    getClientInfo(): Promise<import("..").IMessage<IOmniClientInfo>>;
    getBalance(address: string, propId?: number): Promise<import("..").IMessage<IOmniPropertyBalance>>;
    getAllPropBalance(address: string): Promise<import("..").IMessage<IOmniPropertyBalance[]>>;
    getPropInfo(propId?: number): Promise<import("..").IMessage<IOmniPropertyInfo>>;
    getOmniTrx(txid: string): Promise<import("..").IMessage<IOmniTxInfo>>;
    listBlockTrxes(height: number): Promise<import("..").IMessage<string[]>>;
    listPendingTrxes(address?: string): Promise<import("..").IMessage<IOmniTxInfo[]>>;
    sendRawTx(rawTrx: string): Promise<import("..").IMessage<string>>;
    getRawTrx<T extends boolean>(txid: string, verbose?: T): Promise<import("..").IMessage<T extends true ? IBtcTxInfo : string>>;
}
