"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_1 = require("../btc/client");
const reqdata_1 = require("../jsonrpc/reqdata");
class OmniClient extends client_1.BitcoinClient {
    constructor(client) {
        super(client);
    }
    getClientInfo() {
        const reqData = new reqdata_1.ReqData("", "omni_getinfo");
        return this.client.Call(reqData.getData());
    }
    getBalance(address, propId = 31) {
        const reqData = new reqdata_1.ReqData("", "omni_getbalance", address, propId);
        return this.client.Call(reqData.getData());
    }
    getAllPropBalance(address) {
        const reqData = new reqdata_1.ReqData("", "omni_getallbalancesforaddress", address);
        return this.client.Call(reqData.getData());
    }
    getPropInfo(propId = 31) {
        const reqData = new reqdata_1.ReqData("", "omni_getproperty", propId);
        return this.client.Call(reqData.getData());
    }
    getOmniTrx(txid) {
        const reqData = new reqdata_1.ReqData("", "omni_gettransaction", txid);
        return this.client.Call(reqData.getData());
    }
    listBlockTrxes(height) {
        const reqData = new reqdata_1.ReqData("", "omni_listblocktransactions", height);
        return this.client.Call(reqData.getData());
    }
    listPendingTrxes(address) {
        const reqData = new reqdata_1.ReqData("", "omni_listpendingtransactions", address);
        return this.client.Call(reqData.getData());
    }
    sendRawTx(rawTrx) {
        const reqData = new reqdata_1.ReqData("", "sendrawtransaction", rawTrx);
        return this.client.Call(reqData.getData());
    }
    getRawTrx(txid, verbose) {
        // verbose should be 1 or 0 for OmniLayer
        const getVerbose = verbose ? 1 : 0;
        const reqData = new reqdata_1.ReqData("", "getrawtransaction", txid, getVerbose);
        return this.client.Call(reqData.getData());
    }
}
exports.OmniClient = OmniClient;
